&dhucpackage; &dhsection;

&dhpackage;

bittorrent tracker

          &dhpackage;

          options
          --dfile file

## DESCRIPTION

This manual page documents briefly the `&dhpackage;` command.

This manual page was written for the &debian; distribution because the original program does not have a manual page.

`&dhpackage;` is a "tracker" for bittorrent clients. This program keeps track of the completion of each client, and communicates that information when requested to other clients.

There is one required option, --dfile, which specifies what `file` to store the recent downloader information.

## OPTIONS

These programs follow the usual &gnu; command line syntax, with long options starting with two dashes (`--'). A summary of options is included below.

`--dfile `file``

- the `file` to store the recent downloader information (required)

`--port `port``

- the `port` to listen on (defaults to 80)

`--bind `ip`|`hostname`[,`ip`|`hostname` ...]`

- a comma-separated list of `ips` and `hostnames` to bind to locally (defaults to '')

`--ipv6_enabled` 0|1

- whether to allow the tracker to connect to peers via IPv6 (defaults to 0)

`--ipv6_binds_v4` 0|1

- whether an IPv6 server socket will also field IPv4 connections (defaults to 0)

`--socket_timeout `seconds``

- then number of `seconds` to use as a timeout for closing connections (defaults to 15)

`--save_dfile_interval `seconds``

- the number of `seconds` between saving the dfile (defaults to 300)

`--timeout_downloaders_interval `seconds``

- the number of `seconds` between expiring downloaders (defaults to 2700)

`--reannounce_interval `seconds``

- the number of `seconds` downloaders should wait between reannouncements (defaults to 1800)

`--response_size `num``

- the `num` of peers to send in an info message (defaults to 50)

`--timeout_check_interval `seconds``

- the number of `seconds` to wait between checking if any connections have timed out (defaults to 5)

`--nat_check `num``

- check `num` times if a downloader is behind a NAT (0 = don't check) (defaults to 3)

`--log_nat_checks` 0|1

- whether to add entries to the log for nat-check results (defaults to 0)

`--min_time_between_log_flushes `seconds``

- the minimum number of `seconds` it must have been since the last flush to do another one (defaults to 3.0)

`--min_time_between_cache_refreshes `seconds``

- the minimum number of `seconds` before a cache is considered stale and is flushed (defaults to 600.0)

`--allowed_dir `directory``

- only allow downloads for torrents in this `directory` (defaults to '')

`--allowed_list `file``

- only allow downloads for hashes in this `file` (hex format, one per line), cannot be used with allowed_dir (defaults to '')

`--allowed_controls` 0|1

- whether to allow special keys in torrents in the allowed_dir to affect tracker access (defaults to 0)

`--multitracker_enabled` 0|1

- whether to enable multitracker operation (defaults to 0)

`--multitracker_allowed` autodetect|none|all

- whether to allow incoming tracker announces (can be none, autodetect or all) (defaults to 'autodetect')

`--multitracker_reannounce_interval `seconds``

- number of `seconds` between outgoing tracker announces (defaults to 120)

`--multitracker_maxpeers `num``

- the `num` of peers to get in a tracker announce (defaults to 20)

`--aggregate_forward `url`[,`password`]`

- if set, forwards all non-multitracker to this `url` with this optional `password` (defaults to '')

`--aggregator` 0|1|`password`

- whether to act as a data aggregator rather than a tracker. If enabled, may be 1, or `password`; if `password` is set, then an incoming password is required for access (defaults to '0')

`--hupmonitor` 0|1

- whether to reopen the log file upon receipt of HUP signal (defaults to 0)

`--http_timeout `seconds``

- number of `seconds` to wait before assuming that an http connection has timed out (defaults to 60)

`--parse_dir_interval `seconds``

- number of `seconds` between reloading of allowed_dir (defaults to 60)

`--show_infopage` 0|1

- whether to display an info page when the tracker's root dir is loaded (defaults to 1)

`--infopage_redirect `URL``

- redirect the info page to this `URL` (defaults to '')

`--show_names` 0|1

- whether to display names from allowed dir (defaults to 1)

`--favicon `filename``

- the `filename` containing x-icon data to return when browser requests favicon.ico (defaults to '')

`--allowed_ips `file``

- only allow connections from IPs specified in the given `file`, which contains subnet data in the format: aa.bb.cc.dd/len (defaults to '')

`--banned_ips `file``

- don't allow connections from IPs specified in the given `file`, which contains IP range data in the format: xxx:xxx:ip1-ip2 (defaults to '')

`--only_local_override_ip` 0|1|2

- ignore the ip GET parameter from machines which aren't on local network IPs (0 = never, 1 = always, 2 = ignore if NAT checking is not enabled) (defaults to 2)

`--logfile `file``

- write tracker logs to this `file`, use '-' for stdout (defaults to '-')

`--allow_get` 0|1

- use with allowed_dir; adds a /file?hash=`hash` URL that allows users to download the torrent file (defaults to 0)

`--keep_dead` 0|1

- keep dead torrents after they expire (so they still show up on your /scrape and web page) (defaults to 0)

`--scrape_allowed` full|specific|none

- scrape access allowed (can be none, specific or full) (defaults to full)

`--dedicated_seed_id `code``

- the `code` to require from clients to indicate that they are dedicated seeders. This allows the tracker to monitor dedicated seed(s) and flag torrents as seeded. (defaults to '')

## SEE ALSO

bittorrent-downloader

1,

## AUTHOR

This manual page was written by &dhusername; <&dhemail;> (based on the original man pages written by Micah Anderson <micah@debian.org>) for the &debian; system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.